## debian-archive-keyring 2023.2

=== debian/changelog ===
debian-archive-keyring (2023.2) unstable; urgency=medium

  * Reinstate buster keys for apt as fragments (Closes: #1033077)

 -- Jonathan Wiltshire <jmw@debian.org>  Fri, 17 Mar 2023 17:03:56 +0000

debian-archive-keyring (2023.1) unstable; urgency=medium

  * Standards version 4.6.0 (no changes)
  * Update my key and refresh signature
  * Switch to use ASCII-armoured fragments for APT trust
  * Add Debian Stable Release Key (12/bookworm) (ID: 0xF8D2585B8783D481)
    (Closes: #1029215)
  * Remove stretch's keys (automatic and release)
  * Add automatic signing keys for bookworm (Closes: #1029214)
  * Refresh signature over keyrings/debian-archive-keyring.gpg

 -- Jonathan Wiltshire <jmw@debian.org>  Thu, 16 Mar 2023 08:54:35 +0000
