## debian-archive-keyring 2023.3

=== debian/changelog ===
debian-archive-keyring (2023.3) unstable; urgency=medium

  * Reinstate cleanup of the APT keyrings for buster (Closes: #1033153)

 -- Jonathan Wiltshire <jmw@debian.org>  Tue, 28 Mar 2023 21:31:07 +0100
