## debian-archive-keyring 2023.3ubuntu1

=== debian/changelog ===
debian-archive-keyring (2023.3ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    + Do not trust debian archive keys by default, and instead ship those
      keys in usr/share/keyrings. On Ubuntu, this package is mostly used for
      validating chroots when debootstrapping Debian using
      /usr/share/keyrings/debian-archive-keyring.gpg.
    + Document the fact that the keys are disabled in APT for Ubuntu

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 01 Apr 2023 15:15:43 +0200

debian-archive-keyring (2023.2ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    + Do not trust debian archive keys by default, and instead ship those
      keys in usr/share/keyrings. On Ubuntu, this package is mostly used for
      validating chroots when debootstrapping Debian using
      /usr/share/keyrings/debian-archive-keyring.gpg.
    + Document the fact that the keys are disabled in APT for Ubuntu

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 28 Mar 2023 08:39:18 +0200
