## debian-archive-keyring 2023.3+deb12u1

=== debian/changelog ===
debian-archive-keyring (2023.3+deb12u1) bookworm; urgency=medium

  * Clean up leftover keyrings in trusted.gpg.d
  * Adjust keyring cleanup versions for a stable update

 -- Jonathan Wiltshire <jmw@debian.org>  Sun, 30 Jul 2023 20:30:54 +0100
