=== debian/changelog ===
debian-archive-keyring (2023.3+deb12u2) bookworm; urgency=medium

  * Get rid of team-members/ and signature verification (Closes: #1099223)
  * Remove buster keys
  * Add automatic signing keys for trixie (Closes: #1100828)
  * Add Debian Stable Release Key (13/trixie) (ID: 762F67A0B2C39DE4)
    (Closes: #1100829)

 -- Jonathan Wiltshire <jmw@debian.org>  Thu, 10 Apr 2025 00:04:55 +0100
