## debian-archive-keyring 2023.4

=== debian/changelog ===
debian-archive-keyring (2023.4) unstable; urgency=medium

  * Clean up leftover keyrings in trusted.gpg.d

 -- Jonathan Wiltshire <jmw@debian.org>  Sun, 30 Jul 2023 20:24:09 +0100
