## debian-archive-keyring 2023.4ubuntu1

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,27 @@
 
 GPG_OPTIONS := --no-options --no-default-keyring --no-auto-check-trustdb --trustdb-name ./trustdb.gpg
 
-build: keyrings/debian-archive-keyring.gpg keyrings/debian-archive-removed-keys.gpg $(TRUSTED-LIST)
+build: verify-indices keyrings/debian-archive-keyring.gpg keyrings/debian-archive-removed-keys.gpg verify-results $(TRUSTED-LIST)
+
+verify-indices: keyrings/team-members.gpg
+	gpg ${GPG_OPTIONS} \
+		--keyring keyrings/team-members.gpg \
+		--verify active-keys/index.gpg active-keys/index
+	gpg ${GPG_OPTIONS} \
+		--keyring keyrings/team-members.gpg \
+		--verify removed-keys/index.gpg removed-keys/index
+
+verify-results: keyrings/team-members.gpg keyrings/debian-archive-keyring.gpg keyrings/debian-archive-removed-keys.gpg
+	gpg ${GPG_OPTIONS} \
+		--keyring keyrings/team-members.gpg --verify \
+		keyrings/debian-archive-keyring.gpg.asc \
+		keyrings/debian-archive-keyring.gpg
+	gpg ${GPG_OPTIONS} \
+		--keyring keyrings/team-members.gpg --verify \
+		keyrings/debian-archive-removed-keys.gpg.asc \
+		keyrings/debian-archive-removed-keys.gpg
+	#FIXME: Do we need to verify the created keyrings in trusted.gpg.d, too?
+	#	Maybe "just" checking that no key is added if we merge, but how…
 
 keyrings/debian-archive-keyring.gpg: active-keys/index
 	jetring-build -I $@ active-keys
@@ -12,6 +32,11 @@
 
 keyrings/debian-archive-removed-keys.gpg: removed-keys/index
 	jetring-build -I $@ removed-keys
+	gpg ${GPG_OPTIONS} --no-keyring --import-options import-export --import < $@ > $@.tmp
+	mv -f $@.tmp $@
+
+keyrings/team-members.gpg: team-members/index
+	jetring-build -I $@ team-members
 	gpg ${GPG_OPTIONS} --no-keyring --import-options import-export --import < $@ > $@.tmp
 	mv -f $@.tmp $@
 
@@ -45,4 +70,4 @@
 	install -d $(DESTDIR)/etc/apt/trusted.gpg.d/
 	cp $(shell find apt-trusted-asc/ -name '*.asc' -type f) $(DESTDIR)/etc/apt/trusted.gpg.d/
 
-.PHONY: clean build install
+.PHONY: verify-indices verify-results clean build install
