=== debian/changelog ===
debian-archive-keyring (2023.4ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    + Do not trust debian archive keys by default, and instead ship those
      keys in usr/share/keyrings. On Ubuntu, this package is mostly used for
      validating chroots when debootstrapping Debian using
      /usr/share/keyrings/debian-archive-keyring.gpg.
    + Document the fact that the keys are disabled in APT for Ubuntu

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 31 Jul 2023 08:55:32 +0200
