=== debian/changelog ===
debian-archive-keyring (2025.1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove 2 obsolete maintscript entries in 1 files.
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.6.2, no changes needed.

  [ Guillem Jover ]
  * Add .gitignore files
  * Update maintainer documentation for trusted.gpg.d files removal
  * Use «Debian» instead of the odd «Debian GNU» when referring to the project
  * Use OpenPGP instead of GnuPG when referring to the specification
  * Rename keyrings from .gpg to .pgp

  [ Jonathan Wiltshire ]
  * Clean up maintscript removal of ancient archive certificates
  * Add NEWS entry warning of file extension renames
  * Get rid of team-members/ and signature verification (Closes: #1099223)
  * Remove buster keys
  * Add automatic signing keys for trixie (Closes: #1100828)
  * Add Debian Stable Release Key (13/trixie) (ID: 762F67A0B2C39DE4)
    (Closes: #1100829)

 -- Jonathan Wiltshire <jmw@debian.org>  Wed, 09 Apr 2025 23:05:46 +0100
