=== debian/control ===
Source: debian-archive-keyring
Priority: important
Section: misc
Maintainer: Debian Release Team <packages@release.debian.org>
Uploaders: Niels Thykier <niels@thykier.net>,
 Jonathan Wiltshire <jmw@debian.org>,
Build-Depends: debhelper-compat (= 12), jetring, gnupg
Rules-Requires-Root: no
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/release-team/debian-archive-keyring
Vcs-Git: https://salsa.debian.org/release-team/debian-archive-keyring.git

Package: debian-archive-keyring
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: OpenPGP archive certificates of the Debian archive
 The Debian project digitally signs its Release files. This package
 contains the archive certificates used for that.

Package: debian-archive-keyring-udeb
Package-Type: udeb
Priority: optional
Architecture: all
Section: debian-installer
Depends: ${misc:Depends}
Recommends: gpgv-udeb
Description: OpenPGP archive certificates of the Debian archive
 The Debian project digitally signs its Release files. This package
 contains the archive certificates used for that, in a minimal form
 for use in the installer.
