## debian-archive-keyring 2025.1ubuntu1

=== debian/changelog ===
debian-archive-keyring (2025.1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    + Do not trust debian archive keys by default, and instead ship those
      keys in usr/share/keyrings. On Ubuntu, this package is mostly used for
      validating chroots when debootstrapping Debian using
      /usr/share/keyrings/debian-archive-keyring.gpg.
    + Document the fact that the keys are disabled in APT for Ubuntu

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 10 Apr 2025 17:08:32 +0200
