=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: debian-archive-keyring
 Priority: important
 Section: misc
-Maintainer: Debian Release Team <packages@release.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Release Team <packages@release.debian.org>
 Uploaders: Niels Thykier <niels@thykier.net>,
  Jonathan Wiltshire <jmw@debian.org>,
 Build-Depends: debhelper-compat (= 12), jetring, gnupg
@@ -17,6 +18,8 @@
 Description: OpenPGP archive certificates of the Debian archive
  The Debian project digitally signs its Release files. This package
  contains the archive certificates used for that.
+ .
+ In Ubuntu, those keys are disabled by default.
 
 Package: debian-archive-keyring-udeb
 Package-Type: udeb
